explain_unlink_or_die(3)

NAME
explain_unlink_or_die - delete a file and report errors
    "delete a file and report errors"

SYNOPSIS
#include <libexplain/unlink.h>

void explain_unlink_or_die(const char *pathname);

DESCRIPTION
The explain_unlink_or_die function is used to call the unlink(2) system call. On failure an explanation will be printed to stderr, obtained from explain_unlink(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    explain_unlink_or_die(pathname);

pathname
    The pathname, exactly as to be passed to the unlink(2) system call.

Returns:
    This function only returns on success. On failure, prints an explanation and exits.

SEE ALSO

unlink(2)
    delete a name and possibly the file it refers to

explain_unlink(3)
    explain unlink(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.2
Copyright (C) 2008 Peter Miller